Subject: bug#62160: Guix reference manual link from guix.gnu.org?

From: Bengt Richter <[email-masked]>
Date: Tue, 14 Mar 2023 22:38:20 +0100

Hi,

On +2023-03-14 18:35:36 +0100, [email-masked] wrote:
[...]
> BUT: A nit: 
> 
> In firefox-esr, if you do "save-as ...", it will prompt with a file name
> seemingly pretty directly copying the URL characters, in this case
> "GNU Guix Reference Manual.html" -- which has spaces in it.
>
Sorry, I think it just copies whatever XXX is in the html header as
       <title>XXX</title>
but some sites have weird strings in their titles, so the problem
remains..

> So my nuisance work flow is:
>    - copy url from browser line into clipboard,
>    - switch to a terminal,
>    - touch $(sanitize-clipboard-url), ;; hack also puts clean name-string back in clipboard
>    - switch to browser
>    - delete undesired file name string from prompt by pasting in the clean name string
>    - click save-as
> 
> I would really like Mozilla to solve this with configurable sanitization options
> for the file name. Especially if I am looking at a page with an URL that has
> weird non-ascii/utf-8 characters besides spaces.
> 
> But until Mozilla offers that, could GNU web pages have some kind of alias link on them
> with a sanitized name to do save-link-as (not plain save-as) with,
> so as to get a clean name?

I would still like this option, but I'm not sure how to implement
such an alias link in a static page.
IWG no problem if the header is dynamically generated ??

--
Regards,
Bengt Richter